0

I was wondering if anyone knew how to install the lightdm-webkit-greeter 2 on ubuntu 17.04.

I have looked at the github page, and I can't install any of the dependencies it needs as they all return a package not found. Any help would be appreciated as I really do want to use this greeter

I have seen this post, (How can I install lightdm-webkit2-greeter?) and I have tried it, but as stated above none of the dependencies are in the apt-get command

  • edited to make it more clear that attempting to get the dependencies through apt does not work – Tyler Jan 5 '18 at 5:10
0

I think that the only possible solution for this, is to have a Ubuntu version where those dependencies are available.

In the following links you can find which versions of Ubuntu have them:

Hope this helps, good luck!

  • I will try this, I can change the repository versions from 17.04 to 16 or even older, I will attempt this and see how it ends up, thank you for your help – Tyler Jan 6 '18 at 0:29
  • Hope it works, don-t forget to mark the question as answered and vote for the correct answer. :) – galoget Jan 6 '18 at 16:12
0

Compile and install required software. If you don't find it in a deb package on somebody else's server, that's what we do when we "really" want to run a program that nobody has packaged.

That's what being a Linux user is all about! I am not teasing...

  • Thank you for your response, If the method of changing my repo version to that of an older ubuntu version does not work I will attempt to compile them myself. Once again thank you for your time – Tyler Jan 6 '18 at 0:30
0

to compile web-greeter on ubuntu you will need to:

  1. install Dependencies

    sudo apt-get install liblightdm-gobject-1-dev gobject-introspection libgirepository1.0-dev pyqt5-dev-tools libcairo2-dev
    
  2. install Python libs

    sudo -H pip3 install whither 
    sudo -H pip3 install pygobject
    
  3. then you can:

    git clone https://github.com/Antergos/web-greeter.git /tmp/greeter
    cd /tmp/greeter
    sudo make install
    

NOTE1: tested on ubuntu 18.04 using python3.6, didn't work on ubuntu 16.04 using Python 3.5

NOTE2: whither package will install Qt 5.10.1, but it has a bug QTBUG-66346 it affects Qt 5.10.1 and 5.9.4. You have to downgrade PyQt5 to 5.10.0

sudo -H pip3 uninstall PyQt5 

sudo -H pip3 install  PyQt5==5.10.0

You can run the greeter from within your desktop session if you add the following line to the desktop file for your session located in /usr/share/xsessions/: X-LightDM-Allow-Greeter=true.

You have to log out and log back in after adding that line. Then you can run the greeter from command line.

web-greeter

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.